Bug 185616 - Iomega Micro Mini USB 2.0 Drive not working properly on RHEL4 U3
Iomega Micro Mini USB 2.0 Drive not working properly on RHEL4 U3
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
http://www.cdw.com/shop/products/defa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-16 08:04 EST by Jeff Burke
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHEL 5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-23 23:50:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (631 bytes, patch)
2006-06-14 14:39 EDT, Pete Zaitcev
no flags Details | Diff

  None (edit)
Description Jeff Burke 2006-03-16 08:04:49 EST
Description of problem:
SCSI error: host 1 id 0 lun 0 return code = 8000002
        Sense class 7, sense error 0, extended sense 0

Version-Release number of selected component (if applicable):
2.6.9-34.ELsmp

How reproducible:
Every time

Steps to Reproduce:
1. Using this usb device http://www.cdw.com/shop/products/default.aspx?EDC=646503
2. Plug into any system running RHEL4 U3 RC4
  
Actual results:
The system will not initilize teh device properly.
The system will scoll the following message.
SCSI error: host 1 id 0 lun 0 return code = 8000002
        Sense class 7, sense error 0, extended sense 0
SCSI device sda: 491520 512-byte hdwr sectors (252 MB)
sda: Write Protect is off
sda: assuming drive cache: write through
Attached scsi removable disk sda at scsi1, channel 0, id 0, lun 0
SCSI error: host 1 id 0 lun 0 return code = 8000002
        Sense class 7, sense error 0, extended sense 0
SCSI error: host 1 id 0 lun 0 return code = 8000002
        Sense class 7, sense error 0, extended sense 0
SCSI error: host 1 id 0 lun 0 return code = 8000002
        Sense class 7, sense error 0, extended sense 0
SCSI error: host 1 id 0 lun 0 return code = 8000002
        Sense class 7, sense error 0, extended sense 0
SCSI error: host 1 id 0 lun 0 return code = 8000002
        Sense class 7, sense error 0, extended sense 0


Expected results:
The device should work properly.

Additional info:
This device is correctly initilized whit RHEL3 U7 and FC4.
Comment 1 Jeff Burke 2006-06-14 09:54:13 EDT
Jeff, I have a great idea. You still have that box where I build a custom
kernel for HP KVM, don't you? But it so, we have usbmon ready on RHEL 4.

If you have a moment, please do this:
 - Plug the key in, look at /proc/bus/usb/devices and find its entry,
   remember its Bus= number.
 - Make sure you have the error messages
 - Unplug
 - mount -t debugfs none /dbg
 - Start  cat /dbg/usbmon/1t > /tmp/mon.out
   (you'll need to substitute the bus number above)
 - Plug and wait for the scanning to bomb like above
 - Kill cat
Attach mon.out to the bug or e-mail it to me.

-----------------------------------------------------

Wait a second. The stick seems to work just fine, it's just the messages
from bad sense when kernels issues door-lock command (0x1e). I should've
recognized it right away.

Did you try to mount it and write something? It should work.

-----------------------------------------------------
Comment 2 Pete Zaitcev 2006-06-14 14:39:08 EDT
Created attachment 130905 [details]
Patch
Comment 3 Jeff Burke 2006-06-26 09:23:51 EDT
Yes mounting it and writing to it actually works. Sorry for the delay in getting
back to you.
Comment 4 Pete Zaitcev 2006-07-08 02:30:47 EDT
I just found that the bloody 2.6.9 does not support US_FL_NOT_LOCKABLE,
so my patch was incorrect. It needs a bigger backport. How disappointing.
Comment 5 Jeff Burke 2007-10-03 09:43:56 EDT
Pete,
    Any update on this? Do you know if it has been fixed in the current release?

Thanks,
Jeff
Comment 6 Pete Zaitcev 2007-10-03 14:44:46 EDT
Sorry Jeff, I let this fall into a crack... Can you just move to RHEL 5?
Then the simple patch would work.
Comment 7 Jeff Burke 2007-10-03 15:37:35 EDT
Pete,
  I am not sure I follow you on this? The BZ was open for RHEL4. Should we close
this bz as "won't fix" and open a new one for RHEL5. Then use the patch from
Comment#2 as a fix?

Thanks,
Jeff
Comment 8 Pete Zaitcev 2007-10-03 16:13:45 EDT
The important part is to make you happy, so first is to see what happens
in RHEL-5. What happens to the bug is not so important. We can change the
product for it to RHEL-5 and set the right pm-? flag so it won't fall
away again.
Comment 9 Jeff Burke 2007-10-23 18:08:42 EDT
Pete,
   RHEL-5 is working as expected. So I think we can move this to
FIXEDINCURRENTRELESE.

Thanks,
Jeff

Note You need to log in before you can comment on or make changes to this bug.